player_localize_set_pose Struct Reference

Request/reply: Set the robot pose estimate. More...

`#include <player_interfaces.h>`

## Public Attributes

player_pose2d_t | mean
| The mean value of the pose estimate (m, m, rad). More...
double | cov [3]
| The diagonal elements of the covariance matrix pose estimate (m$^2$, rad$^2$). More...

## Detailed Description

Request/reply: Set the robot pose estimate.

Set the current robot pose hypothesis by sending a PLAYER_LOCALIZE_REQ_SET_POSE request. Null response.

## Member Data Documentation

double player_localize_set_pose::cov[3]

The diagonal elements of the covariance matrix pose estimate (m$^2$, rad$^2$).

Referenced by AdaptiveMCL::ProcessMessage().

player_pose2d_t player_localize_set_pose::mean

The mean value of the pose estimate (m, m, rad).

Referenced by AdaptiveMCL::ProcessMessage().

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45